Draft Shape2DView/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
{{GuiCommand/tr|Name=Draft Shape2DView|Name/tr=Draft Shape2DView|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft -> Shape 2D View}}
{{GuiCommand/tr|Name=Draft Shape2DView|Name/tr=Draft Shape2DView|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft -> Shape 2D View}}


Line 27: Line 28:
* {{PropertyData|Tessellation}}: Tessellate Ellipses and BSplines into line segments
* {{PropertyData|Tessellation}}: Tessellate Ellipses and BSplines into line segments
* {{PropertyData|Segment Length}}: The size of segments if Tessellation is turned on
* {{PropertyData|Segment Length}}: The size of segments if Tessellation is turned on
* {{PropertyData|Visible Only}}: If True, this view will be recomputed only if it is visible


==Scripting==
==Scripting==
Line 46: Line 48:
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
}}
}}

<languages/>

Revision as of 21:10, 2 August 2018

Draft Shape2DView

Menü konumu
Draft -> Shape 2D View
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Description

This tool places in the document a 2D object which is a flattened view of a selected Shape-based object, projected along the current view direction.

How to use

  1. Select the object you want to extract a 2D view from
  2. Rotate the view (or use the view presets shortcuts) so it reflects the direction you want to project the object to. For example, using a Top view will project the object on the XY plane, vertically along the Z axis like on the image above.
  3. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.
  • The normal operating mode is Solid, which projects the whole shape, but, if you selected some faces of the base object when creating the 2D view, you can also set the Individual Faces mode, which will project only the faces that were selected.
  • If the selected object is an Arch SectionPlane, Cutlines and Cutfaces projection mode are also available, which project only the edges being cut by the section plane. Cutfaces mode displays the cut areas of solids as faces.

Properties

  • VeriProjection: The direction of the projection.
  • VeriProjection Mode: The mode of the projection: solid, individual faces, or cutlines.
  • VeriIn Place: If this is True, when using Cutlines or Cutfaces mode (Arch SectionPlane only), the result will appear at the cut plane location instead of the ground plane introduced in version 0.17
  • VeriHiddenLines: Shows hidden lines or not
  • VeriTessellation: Tessellate Ellipses and BSplines into line segments
  • VeriSegment Length: The size of segments if Tessellation is turned on
  • VeriVisible Only: If True, this view will be recomputed only if it is visible

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

makeShape2DView (object,[projection],[facenumbers])
  • Adds a 2D shape to the document, which is a 2D projection of the given object.
  • A specific projection vector can also be given.
  • Returns the generated object.
  • You can also provide a list of face numbers to be considered.

Example:

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)